package org.stm.rate.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.stm.rate.entity.RateTask;
import com.baomidou.mybatisplus.extension.service.IService;
import org.stm.rate.vo.RateKeyIWriVo;
import org.stm.rate.vo.RateStaiVo;
import org.stm.rate.vo.RateTaskOptVo;
import org.stm.rate.vo.RateTbVo;

import java.util.List;

/**
 * @Description: 任务分配
 * @Author: jeecg-boot
 * @Date:   2023-09-22
 * @Version: V1.0
 */
public interface IRateTaskService extends IService<RateTask> {
    public IPage<RateTask> pagePrepar(Page<RateTask> page, QueryWrapper<RateTask> queryWrapper) ;
    public void taskDeptInit(String id);
    public RateKeyIWriVo rateKeyItemTreeListByid(String id,String rateTaskId,String ruleId);
    public void addRate(RateTbVo rateTbVo);
    public void addRateOk(RateTbVo rateTbVo);
    public RateKeyIWriVo    approverateKeyItemTreeListByid(String id,String rateTaskId,String ruleId,String rate_user);
    public void addAppRate(RateTbVo rateTbVo);
    public IPage<RateTaskOptVo> queryDomainScoreUser(IPage<RateTaskOptVo> page, String taskid);
    public RateKeyIWriVo    raterateKeyItemTreeListByid(String rateTaskId);
    public void addRateRate(RateTbVo rateTbVo);
    public IPage<RateTaskOptVo> queryDomainResScoreUser(IPage<RateTaskOptVo> page, String taskid);
    public List<RateTaskOptVo> queryDomainResTabScoreUser(String taskid);
    public List<RateStaiVo> queryDomainStaiList(String taskid);
    public List<RateStaiVo> querykeyitemStaiList( String taskid);
    public List<RateStaiVo> queryDomainScoreList( String taskid);
    public List<RateStaiVo> queryDomainScoreRatioList( String taskid);
    public List<RateStaiVo> queryDomainRatioList( String taskid);
    public RateKeyIWriVo    raterateKeyItemTreeViewListByid(String rateTaskId);
    public RateKeyIWriVo rateKeyItemTreeListByidUser(String id,String rateTaskId,String ruleId);
    public RateKeyIWriVo    approverateKeyItemTreeListByidUser(String id,String rateTaskId,String ruleId,String rate_user);
    public List<RateStaiVo> queryTaskDomainScoreList( String taskid);

}
